+=======================================================
+
+ Vectric Maschinenausgabe-Konfigurationsdatei
+ DJ-Bino's PP fr VCarvePro
+ DJ-Bino's PP fr cncGraF V4.x
+ DJ-Bino's PP fr CNC-WOOD Maschinen
+
+=======================================================
+
+ History
+
+ wer      DD/MM/JJJJ   was
+ ======== ===========  ================================
+ Tony     02/08/2005   PP geschrieben
+ Tony     03/08/2006   Kreisbgen u. Kreise hinzugefgt
+ DJ-Bino  12/06/2008   Kpl. berarbeitet fr cncGraF V4.x
+ DJ-Bino  12/06/2008   Kpl. berarbeitet fr CNC-WOOD
+=======================================================

POST_NAME = "cncGraF V4.x_(mm)_(*.NC)"

FILE_EXTENSION = "NC"

UNITS = "MM"

+------------------------------------------------
+    Satzende Zeichen
+------------------------------------------------

LINE_ENDING = "[13][10]"

+------------------------------------------------
+    Satz Nummerierung
+------------------------------------------------

LINE_NUMBER_START     = 0
LINE_NUMBER_INCREMENT = 10
LINE_NUMBER_MAXIMUM = 999999

+================================================
+
+    Variablen formatieren ( zuweisen )
+
+================================================

VAR LINE_NUMBER = [N|A|N|1.0]
VAR SPINDLE_SPEED = [S|A|S|1.0]
VAR FEED_RATE = [F|C|F|1.1]
VAR X_POSITION = [X|C|X|1.3]
VAR Y_POSITION = [Y|C|Y|1.3]
VAR Z_POSITION = [Z|C|Z|1.3]
VAR ARC_CENTRE_I_INC_POSITION = [I|A|I|1.3]
VAR ARC_CENTRE_J_INC_POSITION = [J|A|J|1.3]
VAR X_HOME_POSITION = [XH|A|X|1.3]
VAR Y_HOME_POSITION = [YH|A|Y|1.3]
VAR Z_HOME_POSITION = [ZH|A|Z|1.3]

+================================================
+
+  Definition der NC-Stze fr die Werkzeug-Wege
+
+================================================

+---------------------------------------------------
+  Definition des NC-Programm-Kopf's ( Anfang )
+---------------------------------------------------

begin HEADER
"%"
"1210"
"[N] G00 G40 G90 G71"
"[N]  ( Prog-Name: [TP_FILENAME][TP_EXT] )"
"[N]  (************* VCarvePro *************)"
"[N]  (  Rohteil-Abmessungen in  X  Y  Z    )"
"[N]  (  X Breite = [XLENGTH] )"
"[N]  (  Y Lnge  = [YLENGTH] )"
"[N]  (  Z Hhe   = [ZLENGTH] )"
"[N]  (++++++++++++++++++++++++++++++++++++++)"
"[N]  (   Nullpunkt-Lage im Rohteil X Y Z    )"
"[N] (  X Min = [XMIN]    X Max = [XMAX] )"
"[N] (  Y MIN = [YMIN]    Y Max = [YMAX] )"
"[N] (  Z Min = [ZMIN]    Z Max = [ZMAX] )"
"[N] (**************************************)"
"[N] (  Ausgangs Position X Y Z             )"
"[N] (  X = [XH] Y = [YH] Z = [ZH] )"
"[N] (  Sicherheits-Hhe in Z               )"
"[N] (  Z = [SAFEZ] )"
"[N] (++++++++++++++++++++++++++++++++++++++)"
"[N] ( PP Ausgabe fr CNC-Wood und NC-Easy  )"
"[N] (    *** -- Werkzeugwechsel: -- ***    )"
"[N] ( Bearbeitung:      [TOOLPATH_NAME] )"
"[N] ( Werkzeugname:     [TOOLNAME] )"
"[N] ( Werkzeugnummer:   T[T] )"
"[N] ( Vorschub:         [FC] mm/min )"
"[N] ( Eintauch-Geschw.: [FP] mm/min )"
"[N] ( Spindeldrehzahl:  [S] U/min )"
"[N] T[T] M06 [S] M3 "
"[N] G00 [ZH]"
"[N] G00 [XH] [YH] "


+---------------------------------------------------
+  Defenition des Werkzeugwechsels
+---------------------------------------------------

begin TOOLCHANGE
"[N] (    *** -- Werkzeugwechsel: -- ***    )"
"[N] ( Bearbeitung:         [TOOLPATH_NAME] )"
"[N] ( Werkzeugname:        [TOOLNAME] )"
"[N] ( Werkzeugnummer:      T[T] )"
"[N] ( Vorschub:            [FC] mm/min )"
"[N] ( Eintauch-Geschw.:    [FP] mm/min )"
"[N] ( Spindeldrehzahl:     [S] U/min )"
"[N] ( Vorheriges Werkzeug: T[TP] )"
"[N] T[T] M06 [S] M3 "

+---------------------------------------------------
+  Definition Verfahrwege im Eilgang
+---------------------------------------------------

begin RAPID_MOVE

"[N] G00 [X] [Y] [Z]"


+---------------------------------------------------
+  1. Definition Verfahrwege im Vorschub
+---------------------------------------------------

begin FIRST_FEED_MOVE

"[N] G01 [X] [Y] [Z] [F]"


+---------------------------------------------------
+  2. Definition Verfahrwege im Vorschub
+---------------------------------------------------

begin FEED_MOVE

"[N] G01 [X] [Y] [Z]"

+---------------------------------------------------
+  1. Definition Verfahrwege Kreis im Uhrzeigersinn
+---------------------------------------------------

begin FIRST_CW_ARC_MOVE

"[N] G02 [X] [Y] [I] [J] [F]"

+---------------------------------------------------
+  2. Definition Verfahrwege Kreis im Uhrzeigersinn
+---------------------------------------------------

begin CW_ARC_MOVE

"[N] G02 [X] [Y] [I] [J]"

+---------------------------------------------------
+  1. Definition Verfahrwege Kreis im Gegen-Uhrzeigersinn
+---------------------------------------------------

begin FIRST_CCW_ARC_MOVE

"[N] G03 [X] [Y] [I] [J] [F]"

+---------------------------------------------------
+  2. Definition Verfahrwege Kreis im Gegen-Uhrzeigersinn
+---------------------------------------------------

begin CCW_ARC_MOVE

"[N] G03 [X] [Y] [I] [J]"

+---------------------------------------------------
+  Definition des NC-Programm-Kopf's ( Ende )
+---------------------------------------------------

begin FOOTER

"[N] ( Grundstellung anfahren )"
"[N] G00 G40 [ZH]"
"[N] S0 M05 M09"
"[N] M30 ( Programm Ende )"
"%"
